/* Font Imports */
@import url("https://fonts.googleapis.com/css2?family=Jost:ital,wght@0,100..900;1,100..900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap");

/* // edit start  */


/* ---------------    need to add this media querry ------------ */


h1 {
    font-size: var(--text-7xl);
    font-weight: 600;
    margin-bottom: calc(var(--spacing) * 4);
    line-height: calc(var(--spacing) * 20);
}

h2 {
    font-size: var(--text-5xl);
    font-weight: 600;
    margin-bottom: calc(var(--spacing) * 4);
}

h3 {
    font-size: var(--text-2xl);
    font-weight: 600;
    margin-bottom: calc(var(--spacing) * 2);
}

h4 {
    font-size: var(--text-xl);
    font-weight: 600;
    margin-bottom: calc(var(--spacing) * 2);
}
h5 {
    font-size: var(--text-xl);
    font-weight: 600;
}

h6 {
    font-size: var(--text-xl);
    font-weight: 500;
    margin-bottom: calc(var(--spacing) * 4);
}

p{
    font-size: var(--text-lg);
    font-family: var(--secondary-font);
    text-align: justify;
    margin-top: 10px;
}


/* Small screens ≥640px */
@media (max-width: 768px) {
    h1 {
        font-size: var(--text-3xl);
        line-height: 1.2;
    }

    h2 {
        font-size: var(--text-2xl);
    }

    h3 {
        font-size: var(--text-xl);
    }

    h4 {
        font-size: var(--text-lg);
    }

    h5 {
        font-size: var(--text-lg);
    }

    h6 {
        font-size: var(--text-base);
    }

    p {
        font-size: var(--text-base);
    }
    

}


@media (min-width: 768px) {
    h1 {
        font-size: var(--text-4xl);
    }

    h2 {
        font-size: var(--text-3xl);
    }

    h3 {
        font-size: var(--text-2xl);
    }

    h4 {
        font-size: var(--text-xl);
    }


    h5 {
        font-size: var(--text-lg);
    }

    p {
        font-size: var(--text-lg);
    }
    th {
        font-size: var(--text-xl);
    }
    td {
        font-size: var(--text-lg);
    }

}

/* Large screens ≥1024px */
@media (min-width: 1024px) {
    h1 {
        font-size: var(--text-5xl);
        line-height: 1.2;
    }

    h2 {
        font-size: var(--text-4xl);
    }

    h3 {
        font-size: var(--text-3xl);
    }

    h4 {
        font-size: var(--text-2xl);
    }

    h5 {
        font-size: var(--text-xl);
    }

    p {
        font-size: var(--text-lg);
    }
}

/* Extra-large screens ≥1280px */
@media (min-width: 1280px) {
    h1 {
        font-size: var(--text-6xl);
        line-height: 1.2;
    }

    h2 {
        font-size: var(--text-4xl);
    }

    h3 {
        font-size: var(--text-2xl);
    }

    h4 {
        font-size: var(--text-xl);
    }

    h5 {
        font-size: var(--text-lg);
    }

    h6 {
        font-size: var(--text-lg);
    }

    p {
        font-size: var(--text-lg);
    }

    .col-video {
        gap: calc(var(--spacing) * 15);
    }
}

@media (min-width: 1920px) {
    h1 {
        font-size: var(--text-7xl);
    }

    p {
        font-size: var(--text-lg);
    }
}